Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 224326 - Search and Usage results have different default list mode
Search and Usage results have different default list mode
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Search
7.2
PC Linux
: P4 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-31 03:23 UTC by berniev
Modified: 2013-02-10 01:41 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description berniev 2012-12-31 03:23:34 UTC
Product Version = NetBeans IDE 7.2 (Build 201207171143)
Operating System = Linux version 3.0.0-29-generic-pae running on i386
Java; VM; Vendor = 1.6.0_24
Runtime = OpenJDK Client VM 20.0-b12

(I use PHP)

~Search~ results are displayed with all nodes ~closed~
~Usage~ results are displayed with all nodes ~opened~

For consistency, should they not both be the same?

My vote is ~both~ should display with all nodes ~opened~
Comment 1 Jaroslav Havlin 2013-02-08 17:55:57 UTC
Fixed in http://hg.netbeans.org/core-main/rev/05db46e15bd8

I'm also considering making the state of the "Expand" button persistent. We'll see if there is some feedback.

Thank you for reporting.
Comment 2 Quality Engineering 2013-02-10 01:41:08 UTC
Integrated into 'main-golden', will be available in build *201302092300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/05db46e15bd8
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #224326: Search and Usage results have different default list mode


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo